; ASCII -- American Standard Code for Information Interchange
; conversion file by Tobias Ferber

charset = "ASCII"

typeout "7-bit ASCII charset  implemented by Tobias Ferber 25-Oct-92"

	local(  0) = NIL		; Not in List
	local(  1) = SOH		; Start of Heading
	local(  2) = STX		; Start of Text
	local(  3) = ETX		; End of Text
	local(  4) = EOT		; End of Transmission
	local(  5) = ENQ		; Enquiry
	local(  6) = ACK		; Acknowledge
	local(  7) = BEL		; Bell
	local(  8) = BS			; Backspace
	local(  9) = HT			; Horizontal Tabulation
	local( 10) = LF			; Line Feed
	local( 11) = VT			; Vertical Tabulation
	local( 12) = FF			; Form Feed
	local( 13) = CR			; Carriage Return
	local( 14) = SO			; Shift-out
	local( 15) = SI			; Shift-in
	local( 16) = DLE		; Date Link Escape
	local( 17) = DC1		; Device Control #1
	local( 18) = DC2		; Device Control #2
	local( 19) = DC3		; Device Control #3
	local( 20) = DC4		; Device Control #4
	local( 21) = NAK		; Negative Acknowledge
	local( 22) = SYN		; Synchronous Idle
	local( 23) = ETB		; End of Transmission Block
	local( 24) = CAN		; Chancel
	local( 25) = EM			; End of Medium
	local( 26) = SUB		; Substitute Character
	local( 27) = ESC		; Escape
	local( 28) = FS			; File Separator
	local( 29) = QS			; Group Separator
	local( 30) = RS			; Record Separator
	local( 31) = US			; Unit Separator
	local( 32) = SPC		; Space

	local( 33) = exclamation	; !
	local( 34) = qquote		; "
	local( 35) = number		; #
	local( 36) = dollar		; $
	local( 37) = percent		; %
	local( 38) = ampersand		; &
	local( 39) = acut		; '
	local( 40) = lpar		; (
	local( 41) = rpar		; )
	local( 42) = asterisk		; *
	local( 43) = plus		; +
	local( 44) = comma		; ,
	local( 45) = minus		; -
	local( 46) = colon		; .
	local( 47) = slash		; /
	local( 48) = zero		; 0
	local( 49) = one		; 1
	local( 50) = two		; 2
	local( 51) = three		; 3
	local( 52) = four		; 4
	local( 53) = five		; 5
	local( 54) = six		; 6
	local( 55) = seven		; 7
	local( 56) = eight		; 8
	local( 57) = nine		; 9
	local( 58) = colon		; :
	local( 59) = semicolon		; ;
	local( 60) = less		; <
	local( 61) = equal		; =
	local( 62) = greater		; >
	local( 63) = question		; ?
	local( 64) = around		; @
	local( 65) = <upper> A		; A
	local( 66) = <upper> B		; B
	local( 67) = <upper> C		; C
	local( 68) = <upper> D		; D
	local( 69) = <upper> E		; E
	local( 70) = <upper> F		; F
	local( 71) = <upper> G		; G
	local( 72) = <upper> H		; H
	local( 73) = <upper> I		; I
	local( 74) = <upper> J		; J
	local( 75) = <upper> K		; K
	local( 76) = <upper> L		; L
	local( 77) = <upper> M		; M
	local( 78) = <upper> N		; N
	local( 79) = <upper> O		; O
	local( 80) = <upper> P		; P
	local( 81) = <upper> Q		; Q
	local( 82) = <upper> R		; R
	local( 83) = <upper> S		; S
	local( 84) = <upper> T		; T
	local( 85) = <upper> U		; U
	local( 86) = <upper> V		; V
	local( 87) = <upper> W		; W
	local( 88) = <upper> X		; X
	local( 89) = <upper> Y		; Y
	local( 90) = <upper> Z		; Z
	local( 91) = lbracket		; [
	local( 92) = backslash		; \
	local( 93) = rbracket		; ]
	local( 94) = circumflex		; ^
	local( 95) = underscore		; _

	; extended ASCII charset +=

	local( 96) = grave		; `
	local( 97) = <lower> a		; a
	local( 98) = <lower> b		; b
	local( 99) = <lower> c		; c
	local(100) = <lower> d		; d
	local(101) = <lower> e		; e
	local(102) = <lower> f		; f
	local(103) = <lower> g		; g
	local(104) = <lower> h		; h
	local(105) = <lower> i		; i
	local(106) = <lower> j		; j
	local(107) = <lower> k		; k
	local(108) = <lower> l		; l
	local(109) = <lower> m		; m
	local(110) = <lower> n		; n
	local(111) = <lower> o		; o
	local(112) = <lower> p		; p
	local(113) = <lower> q		; q
	local(114) = <lower> r		; r
	local(115) = <lower> s		; s
	local(116) = <lower> t		; t
	local(117) = <lower> u		; u
	local(118) = <lower> v		; v
	local(119) = <lower> w		; w
	local(120) = <lower> x		; x
	local(121) = <lower> y		; y
	local(122) = <lower> z		; z
	local(123) = lbrace		; {
	local(124) = mid		; |
	local(125) = rbrace		; }
	local(126) = overscore		; ~

	local(127) = DEL		; Delete

;END
